<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.scytl.products.ov.channel</groupId>
        <artifactId>ov-channel</artifactId>
        <version>2.1.7</version>
    </parent>

    <groupId>com.scytl.products.ov.channel.cr</groupId>
    <artifactId>certificate-registry</artifactId>
    <packaging>pom</packaging>
    <name>Online Voting Certificate Registry</name>

    <dependencyManagement>
        <dependencies>

            <!-- ONLINE VOTING DEPENDENCIES -->
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons</groupId>
                <artifactId>ov-commons-logging</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
                <artifactId>ov-commons-lib-persistence</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons</groupId>
                <artifactId>ov-commons-beans</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons</groupId>
                <artifactId>ov-commons-infrastructure</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- CRYPTOLIB DEPENDENCIES -->
            <dependency>
                <artifactId>cryptolib-certificates</artifactId>
                <groupId>com.scytl.cryptolib</groupId>
                <version>${cryptolib.version}</version>
            </dependency>
            <dependency>
                <artifactId>cryptolib-asymmetric</artifactId>
                <groupId>com.scytl.cryptolib</groupId>
                <version>${cryptolib.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.math</groupId>
                <artifactId>scytl-math</artifactId>
                <version>${scytl-math.version}</version>
            </dependency>

            <!-- BOUNCY CASTLE DEPENDENCIES -->
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk15on</artifactId>
                <version>${bouncycastle.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcpkix-jdk15on</artifactId>
                <version>${bouncycastle.version}</version>
            </dependency>

        </dependencies>


    </dependencyManagement>
    <dependencies>
        <!-- JavaEE -->
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>javaee-api</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>libs-config</artifactId>
            <version>${project.version}</version>
        </dependency>


        <!-- Logging -->
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.oscore</groupId>
            <artifactId>logging-core</artifactId>
        </dependency>

        <!-- Testing -->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <version>${mockito.version}</version>
            <scope>test</scope>
        </dependency>

        <!-- jackson for json processing (this is used for annotations in DTOs) -->
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.jaxrs</groupId>
            <artifactId>jackson-jaxrs-json-provider</artifactId>
        </dependency>
    </dependencies>

    <modules>
        <module>cr-ws-rest</module>
        <module>certificate-registry-services</module>
        <module>assembly</module>
    </modules>

</project>
